Subject: iSCSI: MaxCmdSN

From: "Ayman Ghanem" <[email-masked]>
Date: Mon, 11 Jun 2001 09:18:08 -0500

In section 2.4.10, "if the PDU MaxCmdSN is less than the PDU ExpCmdSN ....,
they are both ignored". Is this considered an invalid response from the
target?. What happens when the target queuing capacity reaches 0. For
example: target received and processed cmdsn N, but can not receive cmdsn
N+1 yet. In the response for N, target puts N+1 for expectedCmdSN. How does
it inform the initiator that its window is closed?. Setting MaxCmdSN to N
will be ignored if I understand the above paragraph correctly.

-Ayman